package com.foreverwin.mesnac.common.service.impl;


import com.foreverwin.mesnac.common.model.PrintRequest;
import com.foreverwin.mesnac.common.service.PrintService;
import com.foreverwin.mesnac.common.util.HttpUtils;
import com.foreverwin.mesnac.meapi.util.StringUtils;
import com.foreverwin.modular.core.exception.BusinessException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;


/**
 * @author Ervin Chen
 * @date 2020/3/6 13:38
 */
@Service
public class PrintServiceImpl implements PrintService {

    @Value("${print.server}")
    private String printServer;

    @Override
    public void print(PrintRequest printRequest) {
        String printer = printRequest.getPrinter();
        String printTemplate = printRequest.getTemplate();

        if (StringUtils.isBlank(printer)) {
            throw BusinessException.build("打印机未维护");
        }
        if (StringUtils.isBlank(printTemplate)) {
            throw BusinessException.build("打印模板未维护");
        }

        //发送打印请求
        ResponseEntity responseEntity = HttpUtils.callPost(printServer, "REQUEST_DATA=" + printRequest.toString());
    }
}
